#include "nsISupports.h"
#include "xmmsClient.h"
#include "xmmsConnection.h"
#include "xmmsUtils.h"

NS_IMPL_ISUPPORTS1(xmmsClient, xmmsIClient)

xmmsClient::xmmsClient()
{
  /* member initializers and constructor code */
}

xmmsClient::~xmmsClient()
{
  /* destructor code */
}

/* xmmsIConnection init (in wstring clientName); */
NS_IMETHODIMP xmmsClient::Init(const PRUnichar *clientName, xmmsIConnection** ret)
{
    NS_ENSURE_ARG_POINTER(ret);
    *ret = new xmmsConnection(NS_ConvertUTF16toUTF8(clientName).get());
    NS_ADDREF(*ret);
    return NS_OK;
}
